# sstream File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file sstream.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::basic_istringstream< _CharT, _Traits, _Alloc >
    Controlling input for std::string. More...
- class std::basic_ostringstream< _CharT, _Traits, _Alloc >
    Controlling output for std::string. More...
- class std::basic_stringbuf< _CharT, _Traits, _Alloc >
    The actual work of input and output (for std::string). More...
- class std::basic_stringstream< _CharT, _Traits, _Alloc >
    Controlling input and output for std::string. More...

## Defines

- #define _GLIBCXX_SSTREAM